| Kea 3.0.2-git

ping_context.h File Reference
`#include <dhcp/pkt4.h>`
`#include <dhcpsrv/lease.h>`
`#include <hooks/parking_lots.h>`
`#include <chrono>`
Include dependency graph for ping_context.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::ping_check::PingContext
| Embodies the life cycle of a ping check test for a single address for a single DHCPDISCOVER. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::ping_check

## Typedefs
typedef boost::shared_ptr< PingContext > | isc::ping_check::PingContextPtr
| Defines a shared pointer to a PingContext.
using | isc::ping_check::TimeStamp = std::chrono::time_point<std::chrono::system_clock>
| Specifies the type for time stamps.